GO-ENV(1)

NAME
go-env - print Go environment information

SYNOPSIS
go env [ var ... ]

DESCRIPTION

Env prints Go environment information.

By default env prints information as a shell script (on Windows, a batch file). If one or more variable names is given as arguments, env prints the value of each named variable on its own line.

-json
    prints the environment in JSON format instead of as a shell script.

-u  requires one or more arguments and unsets the default setting for the named environment variables, if one has been set with ‘go env -w’.

-w  requires one or more arguments of the form NAME=VALUE and changes the default settings of the named environment variables to the given values.

For more about environment variables, see ‘go help environment’.

AUTHOR

This manual page was written by Michael Stapelberg <stapelberg@debian.org> and is maintained by the Debian Go Compiler Team <team+go-compiler@tracker.debian.org> based on the output of ‘go help env’ for the Debian project (and may be used by others).